@-webkit-keyframes mask-move {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(450px);
    }
}

@keyframes mask-move {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(450px);
    }
}

@-webkit-keyframes mask-inner-move {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-450px);
    }
}

@keyframes mask-inner-move {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-450px);
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.focusLoading {
    font-size: 3rem;
    text-transform: uppercase;
    color: white;
    letter-spacing: 0.2rem;
    line-height: 1;
    position: relative;
    width: 550px;
}

.focusLoading:before {
    content: "Loading...";
    filter: blur(3px);
}

.focusLoading:after {
    content: "";
    position: absolute;
    width: 100px;
    height: calc(100% + 8px);
    top: -4px;
    left: 0;
    border-top: 2px solid;
    border-bottom: 2px solid;
    -webkit-animation: mask-move 2s linear infinite alternate;
    animation: mask-move 2s linear infinite alternate;
}

.focusLoading--mask {
    overflow: hidden;
    position: absolute;
    width: 100px;
    height: 100%;
    top: 0;
    left: 0;
    background: #89cb66;
    -webkit-animation: mask-move 2s linear infinite alternate;
    animation: mask-move 2s linear infinite alternate;
}

.focusLoading--mask-inner {
    -webkit-animation: mask-inner-move 2s linear infinite alternate;
    animation: mask-inner-move 2s linear infinite alternate;
    width: 550px;
}
